Mettre à jour l’utilisateur
curl --request PATCH \
--url https://api.devin.ai/v3/enterprise/members/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role_id": "<string>"
}
'import requests
url = "https://api.devin.ai/v3/enterprise/members/users/{user_id}"
payload = { "role_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role_id: '<string>'})
};
fetch('https://api.devin.ai/v3/enterprise/members/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"name": "<string>",
"role_assignments": [
{
"role": {
"role_id": "<string>",
"role_name": "<string>"
},
"org_id": "<string>"
}
],
"user_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Utilisateurs et appartenance (Entreprise)
Mettre à jour l’utilisateur
PATCH
/
v3
/
enterprise
/
members
/
users
/
{user_id}
Mettre à jour l’utilisateur
Cet endpoint s’applique uniquement aux utilisateurs ayant des attributions de rôle directes. Pour gérer les rôles hérités via l’appartenance à un groupe IDP, utilisez les endpoints de gestion des rôles de groupe IDP.
Nécessite un utilisateur de service disposant de l’autorisation
Autorisations
ManageAccountMembership au niveau Enterprise.Autorisations
Identifiant de compte de service (préfixe : cog_)
Paramètres de chemin
ID utilisateur
Corps
application/json
⌘I

